<?php
/**
 * @package SJ Xmas
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;
if($params->get('xmas_type',1) == 1){
JHtml::stylesheet('modules/' . $module->module . '/assets/css/style_one.css');
}else{
JHtml::stylesheet('modules/' . $module->module . '/assets/css/style.css');	
}
JHtml::stylesheet('modules/' . $module->module . '/assets/css/popup.css');

if (!defined('SMART_JQUERY') && $params->get('include_jquery', 0) == "1") {
    JHtml::script('modules/' . $module->module . '/assets/js/jquery-1.8.2.min.js');
    JHtml::script('modules/' . $module->module . '/assets/js/jquery-noconflict.js');
    define('SMART_JQUERY', 1);
}
JHtml::script('modules/' . $module->module . '/assets/js/snowfall.js');
echo gettype($params->get('xmas_flake_count',100));

?>
<?php if($params->get('xmas_type',1) == 1){ ?>
<script type="text/javascript">
//<![CDATA[
jQuery(document).ready(function(){
	
	<?php if($params->get('xmas_show_snow',1) == 1){?>
		jQuery('body').snowfall({
			flakeCount : <?php echo $params->get('xmas_flake_count',100);?>,
			flakeColor : '<?php echo $params->get('xmas_flake_color','#ffffff');?>',
			minSize : <?php echo $params->get('xmas_flake_minSize',5);?>,
			maxSize : <?php echo $params->get('xmas_flake_maxSize',8);?>,
			minSpeed : <?php echo $params->get('xmas_flake_minSpeed',1);?>,
			maxSpeed : <?php echo $params->get('xmas_flake_maxSpeed',10);?>,
			round : <?php echo $params->get('xmas_round',false);?>,
			shadow : <?php echo $params->get('xmas_shadow',false);?>
		});
	<?php }?>

	if(parseInt(jQuery(window).width()) > 767){
	<?php if($params->get('xmas_show_snowMen_1',1) == 1){?>
		
		jQuery('body').append('<div class="xmas-snowMen"></div>');
	<?php }?>
	}
	
	<?php if($params->get('xmas_show_toy_1',1) == 1){?>
		jQuery('body').append('<div class="xmas-toy_1"></div>');
		jQuery('body').append('<div class="xmas-toy_2"></div>');
	<?php }?>
	
	<?php if($params->get('xmas_show_snow_background_1',1) == 1){?>
		jQuery('body').append('<div class="xmas-snow_background"></div>');
	<?php }?>
	<?php if($params->get('Chose_type_background',0) == 0){?>
		jQuery('body').css('background','#000');
	<?php }else{ ?>
		
	<?php }?>
	
	<?php if($params->get('xmas_off',1) == 1){?>
		setTimeout(function(){
			jQuery('.snowfall-flakes').hide();
			setTimeout(function(){
				jQuery('.snowfall-flakes').remove();
			},500);
		},<?php echo $params->get('cookietime_snow',5000);?>);
	<?php }?>
	
	<?php if($params->get('xmas_show_wind_1',1)==1){?>
		jQuery('body').append('<div class="xmas-show-wind"><img src="<?php echo 'modules/' . $module->module . '/assets/images/wind.png';?>" alt/></div>');
		jQuery('body').append('<div class="xmas-show-wind-one"></div>');
		jQuery('body').append('<div class="xmas-show-wind-two"></div>');
		jQuery('body').append('<div class="xmas-show-wind-three"></div>');
		jQuery('body').on('click','.xmas-show-wind',function(){
			jQuery('body').snowfall('clear');
			var stageWidth = jQuery(window).width();
			jQuery('.snowfall-flakes').animate({left:"10px",opacity:'0',top:'+=50px'},1000);
				var check = 0;
				var q = setTimeout(function() {
					check++;
					if(check == 2){clearInterval(q);}
					if(check == 1){
					jQuery('.snowfall-flakes').remove();
					jQuery('body').snowfall({
						flakeCount : <?php echo $params->get('xmas_flake_count',100);?>,
						flakeColor : '<?php echo $params->get('xmas_flake_color','#ffffff');?>',
						minSize : <?php echo $params->get('xmas_flake_minSize',5);?>,
						maxSize : <?php echo $params->get('xmas_flake_maxSize',8);?>,
						minSpeed : <?php echo $params->get('xmas_flake_minSpeed',1);?>,
						maxSpeed : <?php echo $params->get('xmas_flake_maxSpeed',10);?>,
						round : <?php echo $params->get('xmas_round',false);?>,
						shadow : <?php echo $params->get('xmas_shadow',false);?>
					});
					}
				},1000);
				var time = 0;
				setTimeout(function(){
					jQuery('.snowfall-flakes').hide();
					setTimeout(function(){
						jQuery('.snowfall-flakes').remove();
					},500);
				},<?php echo $params->get('cookietime_snowaaa',30000);?>);
				/*var e = setInterval(function() {
					time = time + 1;
					if(time == 13){
						jQuery('.xmas-pine').css('transform','rotate(3deg)');
						jQuery('.xmas-pine').css('-moz-transform','rotate(3deg)');
						jQuery('.xmas-pine').css('-webkit-transform','rotate(3deg)');
					}else
					if(time == 16){
						jQuery('.xmas-pine').css('transform','rotate(0deg)');
						jQuery('.xmas-pine').css('-moz-transform','rotate(0deg)');
						jQuery('.xmas-pine').css('-webkit-transform','rotate(0deg)');
						clearInterval(e);
					}else if(time != 15){
					if(time%2 == 1){
						jQuery('.xmas-pine').css('transform','rotate(-9deg)');
						jQuery('.xmas-pine').css('-moz-transform','rotate(-9deg)');
						jQuery('.xmas-pine').css('-webkit-transform','rotate(-9deg)');
					}else{
						jQuery('.xmas-pine').css('transform','rotate(-7deg)');
						jQuery('.xmas-pine').css('-moz-transform','rotate(-7deg)');
						jQuery('.xmas-pine').css('-webkit-transform','rotate(-7deg)');
					}
					}
				},50);*/
		});
	<?php }?>
});
//]]>
</script>
<?php }else{ ?>
<script type="text/javascript">
//<![CDATA[

jQuery(document).ready(function(){
	<?php if($params->get('xmas_show_snow',1)){?>
		jQuery('body').snowfall({
			flakeCount : <?php echo $params->get('xmas_flake_count',100);?>,
			flakeColor : '<?php echo $params->get('xmas_flake_color','#ffffff');?>',
			minSize : <?php echo $params->get('xmas_flake_minSize',5);?>,
			maxSize : <?php echo $params->get('xmas_flake_maxSize',8);?>,
			minSpeed : <?php echo $params->get('xmas_flake_minSpeed',1);?>,
			maxSpeed : <?php echo $params->get('xmas_flake_maxSpeed',10);?>,
			round : <?php echo $params->get('xmas_round',false);?>,
			shadow : <?php echo $params->get('xmas_shadow',false);?>
		});
	<?php }?>

	if(parseInt(jQuery(window).width()) > 767){
	<?php if($params->get('xmas_show_pine',1)){?>
		jQuery('body').append('<div class="xmas-pine"></div>');
		jQuery('body').append('<div class="xmas-pine-active"></div>');
		var pine=0;
		var e = setInterval(function() {
			pine++;
			if(pine%2 == 1){
				jQuery('.xmas-pine').css('display','none');
				jQuery('.xmas-pine-active').css('display','block');
			}else{
				jQuery('.xmas-pine-active').css('display','none');
				jQuery('.xmas-pine').css('display','block');
			}
		},150)
	<?php }?>
	}
	<?php if($params->get('xmas_show_snowMen',1) == 1){?>
		jQuery('body').append('<div class="xmas-show-snowMen"></div>');
	<?php }?>
	
	<?php if($params->get('xmas_show_snowMen1',1) == 1){?>
		jQuery('body').append('<div class="xmas-show-snowMen-1"></div>');
	<?php }?>
	
	<?php if($params->get('xmas_show_wind',1) == 1){?>
		jQuery('body').append('<div class="xmas-show-wind"><img src="<?php echo 'modules/' . $module->module . '/assets/images/wind.png';?>" alt/></div>');
		jQuery('body').append('<div class="xmas-show-wind-one"></div>');
		jQuery('body').append('<div class="xmas-show-wind-two"></div>');
		jQuery('body').append('<div class="xmas-show-wind-three"></div>');
	<?php }?>
	
	<?php if($params->get('xmas_show_background',1) == 1){?>
		jQuery('body').append('<div class="xmas-background"><img src="<?php echo 'modules/' . $module->module . '/assets/images/background.png';?>" alt/></div>');
	<?php }?>
	
	<?php if($params->get('xmas_show_reindeer',1) == 1){?>
		jQuery('body').append('<div class="xmas-show-reindeer"></div>');
	<?php }?>
	
	jQuery('body').on('click','.xmas-show-wind',function(){
		jQuery('body').snowfall('clear');
		var stageWidth = jQuery(window).width();
		jQuery('.snowfall-flakes').animate({left:"10px",opacity:'0',top:'+=50px'},1000);
			var check = 0;
			var q = setTimeout(function() {
				check++;
				if(check == 2){clearInterval(q);}
				if(check == 1){
				jQuery('.snowfall-flakes').remove();
				jQuery('body').snowfall({
					flakeCount : <?php echo $params->get('xmas_flake_count',100);?>,
					flakeColor : '<?php echo $params->get('xmas_flake_color','#ffffff');?>',
					minSize : <?php echo $params->get('xmas_flake_minSize',5);?>,
					maxSize : <?php echo $params->get('xmas_flake_maxSize',8);?>,
					minSpeed : <?php echo $params->get('xmas_flake_minSpeed',1);?>,
					maxSpeed : <?php echo $params->get('xmas_flake_maxSpeed',10);?>,
					round : <?php echo $params->get('xmas_round',false);?>,
					shadow : <?php echo $params->get('xmas_shadow',false);?>
				});
				}
			},1000);
			var time = 0;
			setTimeout(function(){
					jQuery('.snowfall-flakes').hide();
					setTimeout(function(){
						jQuery('.snowfall-flakes').remove();
					},500);
			},<?php echo $params->get('cookietime_snowaaa',30000);?>);
			/*var e = setInterval(function() {
				time = time + 1;
				if(time == 13){
					jQuery('.xmas-pine').css('transform','rotate(3deg)');
					jQuery('.xmas-pine').css('-moz-transform','rotate(3deg)');
					jQuery('.xmas-pine').css('-webkit-transform','rotate(3deg)');
				}else
				if(time == 16){
					jQuery('.xmas-pine').css('transform','rotate(0deg)');
					jQuery('.xmas-pine').css('-moz-transform','rotate(0deg)');
					jQuery('.xmas-pine').css('-webkit-transform','rotate(0deg)');
					clearInterval(e);
				}else if(time != 15){
				if(time%2 == 1){
					jQuery('.xmas-pine').css('transform','rotate(-9deg)');
					jQuery('.xmas-pine').css('-moz-transform','rotate(-9deg)');
					jQuery('.xmas-pine').css('-webkit-transform','rotate(-9deg)');
				}else{
					jQuery('.xmas-pine').css('transform','rotate(-7deg)');
					jQuery('.xmas-pine').css('-moz-transform','rotate(-7deg)');
					jQuery('.xmas-pine').css('-webkit-transform','rotate(-7deg)');
				}
				}
			},50);*/
	});
	<?php if($params->get('Chose_type_background',0) == 0){?>
		jQuery('body').css('background','#000');
	<?php }else{ ?>
		jQuery('body').css('background-image','url("<?php echo Juri::root();?>/modules/mod_sj_xmas/assets/images/x-mas.jpg") center');
		jQuery('body').css('background','#52b1d7');
	<?php }?>
	<?php if($params->get('xmas_off',1) == 1){?>
		setTimeout(function(){
			jQuery('.snowfall-flakes').hide();
			setTimeout(function(){
				jQuery('.snowfall-flakes').remove();
			},500);
		},<?php echo $params->get('cookietime_snow',5000);?>);
	<?php }?>
});

//]]>
</script>
<?php } ?>


<?php if(!isset($_COOKIE['check_popup'])) { ?>
<?php if($params->get('popup_enable',1) == 1){
	$tag_id = 'sj-popup-'.$module->id;
	/*if($params->get('show_btn_close_popup') == 1){
		$close_popup = '<div class="sj-close-popup"></div>';
	}else{
		$close_popup = '';
	}*/
	$close_popup = '';
	echo '<div id="'.$tag_id.'" class="sj_popup_wrap">';
		if($params->get('position_popup') == 'center'){
			echo '<div class="popup-center sj-popup">'.
					'<div class="relative">'.$close_popup.
						$params->get('content_popup').
					'</div>'
				.'</div>';
		}
		if($params->get('position_popup') == 'left'){
			echo '<div class="popup-bottom-left sj-popup">'.
					'<div class="relative">'.$close_popup.
						$params->get('content_popup').
					'</div>'
				.'</div>';
		}
		if($params->get('position_popup') == 'right'){
			echo '<div class="popup-bottom-right sj-popup">'.
					'<div class="relative">'.$close_popup.
						$params->get('content_popup').
					'</div>'
				.'</div>';
		}
		if($params->get('position_popup') == 'fullsize'){
			echo '<div class="popup-bottom-fullsize sj-popup">'.
					'<div class="relative">'.$close_popup.
						$params->get('content_popup').
					'</div>'
				.'</div>';
		}
	echo '</div>';
?>
<script type="text/javascript">
//<![CDATA[
	jQuery(document).ready(function ($){
		$('#<?php echo $tag_id;?>').css('opacity','0');
		<?php if($params->get('position_popup') == 'center'){	?>
			var height = parseInt(parseInt($('#<?php echo $tag_id;?> .sj-popup').css('height'))/2);
			var marginTop = parseInt($('#<?php echo $tag_id;?> .sj-popup').css('marginTop'));
			var top = height - marginTop;
			$('#<?php echo $tag_id;?> .sj-popup').css('marginTop','-'+top+'px');
			var width = parseInt(parseInt($('#<?php echo $tag_id;?> .sj-popup').css('width'))/2);
			var marginLeft = parseInt($('#<?php echo $tag_id;?> .sj-popup').css('marginLeft'));
			var left = width - marginLeft;
			$('#<?php echo $tag_id;?> .sj-popup').css('marginLeft','-'+left+'px');
			$('#<?php echo $tag_id;?>').css('opacity','0');
		<?php } ?>
			$('#<?php echo $tag_id;?> .sj-close-popup').click(function(){
				$('#<?php echo $tag_id;?>').animate({opacity: "0"});
				setTimeout(function(){
					$('#<?php echo $tag_id;?>').remove();
				},500)
			});
		<?php if($params->get('time_show_popup') != 0){ ?>
			$('#<?php echo $tag_id;?>').css('display','none');
			var time = <?php echo $params->get('time_show_popup');?>;
			var first = 1;
			var q = setInterval(function(){
				if(first == 1){
					first++;
				}else{
					$('#<?php echo $tag_id;?>').css('display','block');
					$('#<?php echo $tag_id;?>').animate({opacity: "1"});
					
					clearInterval(q);
				}
			},time);
		<?php }else{ ?>
			$('#<?php echo $tag_id;?>').css('display','block');
			$('#<?php echo $tag_id;?>').animate({opacity: "1"},1000);
		<?php } ?>
		<?php if($params->get('show_btn_close_popup') == 0){ ?>
			var check = 0;
			$('#<?php echo $tag_id;?> .sj-popup').click(function(){
				check = 1;;
			});
			$('#<?php echo $tag_id;?>').not('.sj-popup').click(function(){
				if(check == 1){check = 0;return;}
				$('#<?php echo $tag_id;?>').animate({opacity: "0"});
				setTimeout(function(){
					$('#<?php echo $tag_id;?>').remove();
				},500)
				
			});
		<?php } ?>
		$('.sj_popup_link').click(function(){
			window.location.href = 'http://www.smartaddons.com/blog/item/1285-merry-christmas-save-40-off-everything&utm_source=user&utm_medium=sj-xmas&utm_campaign=xmas15';
		})
	});
//]]>
</script>


<?php } ?>
<?php } ?>
<?php 
		if(!isset($_COOKIE['check_popup'])) { 
		   $cookietime = (int)($params->get('cookietime',1))*3600;
		   $time = ($cookietime > 0)?time()+ $cookietime:time();
		   setcookie('check_popup', 1, $time ,'/'); 
		}
		 
?>