<?php
/**
 * @package SJ Xmas
 * @version 3.1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2016 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;
JHtml::stylesheet('modules/' . $module->module . '/assets/css/style.css');
if (!defined('SMART_JQUERY') && $params->get('include_jquery', 0) == "1") {
    JHtml::script('modules/' . $module->module . '/assets/js/jquery-1.8.2.min.js');
    JHtml::script('modules/' . $module->module . '/assets/js/jquery-noconflict.js');
    define('SMART_JQUERY', 1);
}
// JHtml::script('modules/' . $module->module . '/assets/js/snowfall.js');
JHtml::script('modules/' . $module->module . '/assets/js/lgxsnow.js');

?>
<div class="sj-xmas">
	<?php if ($params->get('xmas_show_popup', 0) == '1') {?>
	<div class="bg-sj-xmas"></div>
	<div class="banner-1">
		<div class="sj-relative-1">
			<div class="icon-top"></div>
			<div class="icon-close"></div>
			<div class="sj-content-1">
				<?php echo $params->get('content_large')?>
				
			</div>
			<div class="icon-bottom"></div>
		</div>
	</div>
	<?php }?>
	
	<div class="banner-2">
		<div class="sj-relative-2">
			<div class="icon-close"></div>
			<div class="sj-content-2">
				<?php echo $params->get('content_small')?>
			</div>
		</div>
	</div>
</div>
<style type="text/css">
<?php if ($params->get('xmas_show_top', 0) == 1 && $params->get('background-left', '') != '') { ?>
.xmas-show-top-left {
	background: url('<?php echo JURI::root().$params->get("background-left"); ?>') no-repeat;
}
<?php }?>
<?php if ($params->get('xmas_show_top', 0) == 1 && $params->get('background-right', '') != '') { ?>
.xmas-show-top-right {
	background: url('<?php echo JURI::root().$params->get("background-right"); ?>') no-repeat;
}
<?php }?>
<?php if ($params->get('xmas_show_popup', 0) == 1 && $params->get('background-popup', '') != '') { ?>
.sj-xmas .banner-1 {
	background: url('<?php echo JURI::root().$params->get("background-popup"); ?>') no-repeat;
}
<?php }?>
<?php if ($params->get('background-small', '') != '') { ?>
.sj-xmas .banner-2 {
	background: url('<?php echo JURI::root().$params->get("background-small"); ?>') no-repeat;
}
<?php }?>
<?php if ($params->get('background-icon-top', '') != '') { ?>
.sj-xmas .sj-relative-1 .icon-top {
	background: url('<?php echo JURI::root().$params->get("background-icon-top"); ?>') no-repeat;
}
<?php }?>
<?php if ($params->get('background-icon-bottom', '') != '') { ?>
.sj-xmas .sj-relative-1 .icon-bottom {
	background: url('<?php echo JURI::root().$params->get("background-icon-bottom"); ?>') no-repeat;
}
<?php }?>
</style>
<script type="text/javascript">
//<![CDATA[
jQuery(document).ready(function($){
	<?php if($params->get('xmas_show_snow',1)){?>
		lgxSnow.autoStart         = <?php echo $params->get('xmas_autoStart', '1') == 1 ? 'true' : 'false'; ?>;
        lgxSnow.snowCharacter     = "•";
        lgxSnow.snowColor         = "<?php echo $params->get('snowColor', '#ffffff'); ?>";
        lgxSnow.followMouse       = <?php echo $params->get('xmas_followMouse', '1') == 1 ? 'true' : 'false'; ?>;
        lgxSnow.animationInterval = parseInt(<?php echo $params->get('xmas_animationInterval', 33); ?>);
        lgxSnow.flakesMax         = parseInt(<?php echo $params->get('xmas_flakesMax', 500); ?>);
        lgxSnow.flakesMaxActive   = parseInt(<?php echo $params->get('xmas_flakesMaxActive', 250); ?>);
        lgxSnow.freezeOnBlur      = <?php echo $params->get('xmas_freezeOnBlur', '1') == 1 ? 'true' : 'false'; ?>;
        lgxSnow.snowStick         = <?php echo $params->get('xmas_snowStick', '1') == 1 ? 'true' : 'false'; ?>;
        lgxSnow.useMeltEffect     = <?php echo $params->get('xmas_useMeltEffect', '1') == 1 ? 'true' : 'false'; ?>;
        lgxSnow.useTwinkleEffect  = <?php echo $params->get('xmas_useTwinkleEffect', '1') == 1 ? 'true' : 'false'; ?>;
        lgxSnow.flakeBottom       = null;
		// jQuery('body').snowfall({
		// 	flakeCount : <?php echo $params->get('xmas_flake_count',100);?>,
		// 	flakeColor : '<?php echo $params->get('xmas_flake_color','#ffffff');?>',
		// 	minSize : <?php echo $params->get('xmas_flake_minSize',5);?>,
		// 	maxSize : <?php echo $params->get('xmas_flake_maxSize',8);?>,
		// 	minSpeed : <?php echo $params->get('xmas_flake_minSpeed',1);?>,
		// 	maxSpeed : <?php echo $params->get('xmas_flake_maxSpeed',10);?>,
		// 	round : <?php echo $params->get('xmas_round',false);?>,
		// 	shadow : <?php echo $params->get('xmas_shadow',false);?>
		// });
	<?php }?>

	if(parseInt(jQuery(window).width()) > 767){
	
	}
	<?php if($params->get('xmas_show_top',1)){?>
		jQuery('body').append('<div class="xmas-show-top-left open"></div>');
		jQuery('body').append('<div class="xmas-show-top-right open"></div>');
	<?php }?>
	
	<?php if($params->get('xmas_show_background',1)){?>
		<?php if ($params->get('background-bottom', '') != '') {?>
			jQuery('body').append('<div class="xmas-background open"><img src="<?php echo JURI::root().$params->get("background-bottom"); ?>" alt="" /></div>');
		<?php }else {?>
			jQuery('body').append('<div class="xmas-background open"><img src="<?php echo 'modules/' . $module->module . '/assets/images/background.png';?>" alt/></div>');
		<?php }?>
	<?php }?>
	
	<?php if($params->get('xmas_change_background',1)){?>
		jQuery('body').css('background','<?php echo $params->get("xmas_bgBody", "#2fd5c2"); ?>');
	<?php }?>
	
	function setCookie(cname,cvalue,exdays) {
		var d = new Date();
		d.setTime(d.getTime() + (exdays*24*60*60*1000));
		var expires = "expires=" + d.toGMTString();
		document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	}

	function getCookie(cname) {
		var name = cname + "=";
		var ca = document.cookie.split(';');
		for(var i = 0; i < ca.length; i++) {
			var c = ca[i];
			while (c.charAt(0) == ' ') {
				c = c.substring(1);
			}
			if (c.indexOf(name) == 0) {
				return c.substring(name.length, c.length);
			}
		}
		return "";
	}

	function checkCookie() {
		var typeShow=getCookie("sj_xmas");
		if(typeShow == ""){
			 typeShow = "1";
		}
		var  t= 5000;
		switch(typeShow){
			case "1":
				setTimeout(function (){
					$('.sj-xmas .bg-sj-xmas').addClass("open-xmas-bg");
					$('.sj-xmas .banner-1').addClass("open-xmas");
				},t);
				
			break;
			case "2":
				setTimeout(function (){
					$('.sj-xmas .bg-sj-xmas').removeClass("open-xmas-bg");
					$('.sj-xmas .banner-1').removeClass("open-xmas");
					$('.sj-xmas .banner-2').addClass("open-xmas");
				},t);
			break;
		}
	}
	checkCookie();
	jQuery(document).on("click",".banner-1 .icon-close",function() {
		$('.sj-xmas .bg-sj-xmas').removeClass("open-xmas-bg");
        $('.sj-xmas .banner-1').removeClass("open-xmas");
		$('.sj-xmas .banner-2').addClass("open-xmas");
		setCookie("sj_xmas", "2", 0.5);
    });
	jQuery(document).on("click",".banner-2 .icon-close",function() {
		$('.sj-xmas .bg-sj-xmas').removeClass("open-xmas-bg");
        $('.sj-xmas .banner-1').removeClass("open-xmas");
		$('.sj-xmas .banner-2').removeClass("open-xmas");
		$('.xmas-show-top-left,.xmas-show-top-right,.xmas-background').removeClass('open').addClass("close");
		$('.snowfall-flakes').delay(2000).hide();
		setCookie("sj_xmas", "2", 0.5);
    });
	jQuery(document).on("click",".sj-xmas .link-xmas",function() {
        window.location.href = 'https://www.smartaddons.com/component/user/login?return=aHR0cHM6Ly93d3cuc21hcnRhZGRvbnMuY29tL2Jsb2cvY2hyaXN0bWFzLW5ldy15ZWFyLXNhbGUtc2F2ZS0zMC1vZmYtZXZlcnl0aGluZy1nZXQtZXhjbHVzaXZlLXhtYXMtZ2lmdHM%3D';
    });
	
});
//]]>
</script>
