<?php
/**
 * @package SJ Xmas
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;
JHtml::stylesheet('modules/' . $module->module . '/assets/css/style.css');
if (!defined('SMART_JQUERY') && $params->get('include_jquery', 0) == "1") {
    JHtml::script('modules/' . $module->module . '/assets/js/jquery-1.8.2.min.js');
    JHtml::script('modules/' . $module->module . '/assets/js/jquery-noconflict.js');
    define('SMART_JQUERY', 1);
}
JHtml::script('modules/' . $module->module . '/assets/js/snowfall.js');
?>
<script type="text/javascript">
//<![CDATA[
jQuery(document).ready(function(){
	<?php if($params->get('xmas_show_snow',1)){?>
		jQuery('body').snowfall({
			flakeCount : <?php echo $params->get('xmas_flake_count',100);?>,
			flakeColor : '<?php echo $params->get('xmas_flake_color','#ffffff');?>',
			minSize : <?php echo $params->get('xmas_flake_minSize',5);?>,
			maxSize : <?php echo $params->get('xmas_flake_maxSize',8);?>,
			minSpeed : <?php echo $params->get('xmas_flake_minSpeed',1);?>,
			maxSpeed : <?php echo $params->get('xmas_flake_maxSpeed',10);?>,
			round : <?php echo $params->get('xmas_round',false);?>,
			shadow : <?php echo $params->get('xmas_shadow',false);?>
		});
	<?php }?>

	if(parseInt(jQuery(window).width()) > 767){
	<?php if($params->get('xmas_show_pine',1)){?>
		jQuery('body').append('<div class="xmas-pine"></div>');
		jQuery('body').append('<div class="xmas-pine-active"></div>');
		var pine=0;
		var e = setInterval(function() {
			pine++;
			if(pine%2 == 1){
				jQuery('.xmas-pine').css('display','none');
				jQuery('.xmas-pine-active').css('display','block');
			}else{
				jQuery('.xmas-pine-active').css('display','none');
				jQuery('.xmas-pine').css('display','block');
			}
		},150)
	<?php }?>
	}
	<?php if($params->get('xmas_show_snowMen',1)){?>
		jQuery('body').append('<div class="xmas-show-snowMen"></div>');
	<?php }?>
	
	<?php if($params->get('xmas_show_snowMen1',1)){?>
		jQuery('body').append('<div class="xmas-show-snowMen-1"></div>');
	<?php }?>
	
	<?php if($params->get('xmas_show_wind',1)){?>
		jQuery('body').append('<div class="xmas-show-wind"><img src="<?php echo 'modules/' . $module->module . '/assets/images/wind.png';?>" alt/></div>');
		jQuery('body').append('<div class="xmas-show-wind-one"></div>');
		jQuery('body').append('<div class="xmas-show-wind-two"></div>');
		jQuery('body').append('<div class="xmas-show-wind-three"></div>');
	<?php }?>
	
	<?php if($params->get('xmas_show_background',1)){?>
		jQuery('body').append('<div class="xmas-background"><img src="<?php echo 'modules/' . $module->module . '/assets/images/background.png';?>" alt/></div>');
	<?php }?>
	
	<?php if($params->get('xmas_show_reindeer',1)){?>
		jQuery('body').append('<div class="xmas-show-reindeer"></div>');
	<?php }?>
	
	jQuery('body').on('click','.xmas-show-wind',function(){
		jQuery('body').snowfall('clear');
		var stageWidth = jQuery(window).width();
		jQuery('.snowfall-flakes').animate({left:"10px",opacity:'0',top:'+=50px'},1000);
			var check = 0;
			var q = setTimeout(function() {
				check++;
				if(check == 2){clearInterval(q);}
				if(check == 1){
				jQuery('.snowfall-flakes').remove();
				jQuery('body').snowfall({
					flakeCount : <?php echo $params->get('xmas_flake_count',100);?>,
					flakeColor : '<?php echo $params->get('xmas_flake_color','#ffffff');?>',
					minSize : <?php echo $params->get('xmas_flake_minSize',5);?>,
					maxSize : <?php echo $params->get('xmas_flake_maxSize',8);?>,
					minSpeed : <?php echo $params->get('xmas_flake_minSpeed',1);?>,
					maxSpeed : <?php echo $params->get('xmas_flake_maxSpeed',10);?>,
					round : <?php echo $params->get('xmas_round',false);?>,
					shadow : <?php echo $params->get('xmas_shadow',false);?>
				});
				}
			},1000);
			var time = 0;
			/*var e = setInterval(function() {
				time = time + 1;
				if(time == 13){
					jQuery('.xmas-pine').css('transform','rotate(3deg)');
					jQuery('.xmas-pine').css('-moz-transform','rotate(3deg)');
					jQuery('.xmas-pine').css('-webkit-transform','rotate(3deg)');
				}else
				if(time == 16){
					jQuery('.xmas-pine').css('transform','rotate(0deg)');
					jQuery('.xmas-pine').css('-moz-transform','rotate(0deg)');
					jQuery('.xmas-pine').css('-webkit-transform','rotate(0deg)');
					clearInterval(e);
				}else if(time != 15){
				if(time%2 == 1){
					jQuery('.xmas-pine').css('transform','rotate(-9deg)');
					jQuery('.xmas-pine').css('-moz-transform','rotate(-9deg)');
					jQuery('.xmas-pine').css('-webkit-transform','rotate(-9deg)');
				}else{
					jQuery('.xmas-pine').css('transform','rotate(-7deg)');
					jQuery('.xmas-pine').css('-moz-transform','rotate(-7deg)');
					jQuery('.xmas-pine').css('-webkit-transform','rotate(-7deg)');
				}
				}
			},50);*/
	});
	
	<?php if($params->get('xmas_change_background',1)){?>
		jQuery('body').css('background','#000');
	<?php }?>
	
});
//]]>
</script>
